<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\PdfListen\SonstigeListen\SendVhsInfoSonstigeListen;


class SendVhsInfoSonstigeListenUseCase extends \Kufer\Web\KuferTools\Dozent\KursUebersicht\DrucklistenAllgemein\Drucklisten\SendVhsInfoDruckListen\SendVhsInfoDruckListenAllgemeinUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  public static function getToolSectionId()
  {
    return 249;
  }

  
  protected function _getPdfDrucklistenObj()
  {
    $userId = $this->getUser()->getIdentifier();

    return new \Kufer\Web\KuferTools\Basis\PdfListen\SonstigePdfListen(self::getToolId(), self::getToolSectionId(), $userId);
  }
}